var map, SubwayStops, layer;

function init(){
  OpenLayers.ProxyHost= "/cgi-bin/proxy_zoo.cgi?url=";
  map = new OpenLayers.Map('map', {
    controls: [
			 new OpenLayers.Control.PanZoom(),
			 new OpenLayers.Control.Permalink(),
			 new OpenLayers.Control.LayerSwitcher(),
			 new OpenLayers.Control.Navigation()
	       ],
	maxExtent: new OpenLayers.Bounds(-20037508.34,-20037508.34,20037508.34,20037508.34),
	maxResolution: 156543.0399,
	numZoomLevels: 19,
	units: "m",
	projection: new OpenLayers.Projection("EPSG:900913"),
	displayProjection: new OpenLayers.Projection("EPSG:4326")
	});
  
  var layerMapnik = new OpenLayers.Layer.OSM.Mapnik("Mapnik");
  map.addLayer(layerMapnik);
  
  layer = new OpenLayers.Layer.Vector("Voronoi",{
      styleMap: new OpenLayers.StyleMap({
	  fillColor: "#ffffff",
	  fillOpacity: 0.1,
	  strokeColor: "#000000",
	  strokeWidth: 1
      })
  });
  map.addLayer(layer);
  
  SubwayStops = new OpenLayers.Layer.GML("Subway stops",
     "http://www.zoo-project.org/data-srtm/stations.gml", {
	   format: OpenLayers.Format.GML,
	   styleMap: new OpenLayers.StyleMap({
	   pointRadius: 3,
	   fillColor: "#ee2200",
	   fillOpacity: 1,
	   strokeColor: "#ee9900",
	   strokeWidth: 1
	}),
     visibility: true
  });
  map.addLayer(SubwayStops);
  
  map.zoomToExtent(new OpenLayers.Bounds(240047.557702813,6234682.54296228,281304.353234602,6267347.78149257),true);
}

function cgalProcessing(aProcess) {
  var url = '/cgi-bin/zoo_loader.cgi?request=Execute&service=WPS&version=1.0.0&';
  if (aProcess == 'voronoi')
    url += 'Identifier=cgal.Voronoi&DataInputs=InputPoints=Reference@xlink:href=';
  else
    url += 'Identifier=cgal.'+aProcess+'&DataInputs=InputPoints=Reference@xlink:href=';
  
  var xlink = SubwayStops.url;
  url += encodeURIComponent(xlink);
  url += '&RawDataOutput=Result';
  
  var request = new OpenLayers.Request.XMLHttpRequest();
  request.open('GET',url,true);
  request.onreadystatechange = function() {
    if(request.readyState == OpenLayers.Request.XMLHttpRequest.DONE) {
      var GeoJSON = new OpenLayers.Format.GeoJSON();
      var features = GeoJSON.read(request.responseText);
      layer.removeFeatures(layer.features);
      layer.addFeatures(features);
    }
  }
  request.send();
}
